using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Runtime.CompilerServices;
using Microsoft.CSharp.RuntimeBinder;

internal sealed class Delegate302 : MulticastDelegate
{
	public extern CallSiteBinder Invoke(CSharpBinderFlags csharpBinderFlags_0, ExpressionType expressionType_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_0);

	public static CallSiteBinder smethod_0(CSharpBinderFlags csharpBinderFlags_0, ExpressionType expressionType_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_0, Delegate302 delegate302_1)
	{
		return delegate302_1(csharpBinderFlags_0, expressionType_0, type_0, ienumerable_0);
	}

	public extern Delegate302(object object_0, IntPtr intptr_0);

	static Delegate302()
	{
		Class10.smethod_13(typeof(Delegate302).TypeHandle);
	}

	internal static Delegate302 delegate302_0;
}
